# $Revision: 1.86 $, $Date: 2011/07/28 17:47:26 $
#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
Summary:	The Typesafe Signal Framework for C++
Summary(pl.UTF-8):	Środowisko sygnałów z kontrolą typów dla C++
Name:		libsigc++
Version:	2.2.10
Release:	1
Epoch:		1
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/libsigc++/2.2/%{name}-%{version}.tar.xz
# Source0-md5:	73419b477f3bb9ddb9905c88a92f4b4c
URL:		http://libsigc.sourceforge.net/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.9
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	m4
BuildRequires:	mm-common >= 0.7.2
BuildRequires:	perl-base
BuildRequires:	pkgconfig
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Obsoletes:	libsigc++-examples
Conflicts:	libsigc++ < 1.1.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This library implements a full callback system for use in widget
libraries, abstract interfaces, and general programming. Originally
part of the Gtk-- widget set, libsigc++ is now a seperate library to
provide for more general use. It is the most complete library of its
kind with the ablity to connect an abstract callback to a class
method, function, or function object. It contains adaptor classes for
connection of dissimilar callbacks and has an ease of use unmatched by
other C++ callback libraries.

%description -l pl.UTF-8
Ta biblioteka jest implementacją pełnego systemu callbacków do
używania w bibliotekach widgetów, interfejsach abstrakcyjnych i
ogólnym programowaniu. Oryginalnie była to część zestawu widgetów
Gtk--, ale jest teraz oddzielną biblioteką ogólniejszego
przeznaczenia. Jest to kompletna biblioteka tego typu z możliwością
łączenia abstrakcyjnych callbacków z metodami klas, funkcjami lub
obiektami funkcji. Zawiera klasy adapterów do łączenia różnych
callbacków.

%package devel
Summary:	Development tools for the Typesafe Signal Framework for C++
Summary(pl.UTF-8):	Narzędzia programistyczne do środowiska libsig++
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	libstdc++-devel
Requires:	m4

%description devel
Development tools for the Typesafe Signal Framework for C++.

%description devel -l pl.UTF-8
Narzędzia programistyczne do środowiska libsigc++ - sygnałów z
kontrolą typów.

%package static
Summary:	Static Typesafe Signal Framework for C++ libraries
Summary(pl.UTF-8):	Statyczna biblioteka libsigc++
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static Typesafe Signal Framework for C++ libraries.

%description static -l pl.UTF-8
Statyczna biblioteka libsigc++ - środowiska sygnałów z kontrolą typów.

%package doc
Summary:	Reference documentation for libsigc++
Summary(pl.UTF-8):	Szczegółowa dokumentacja dla libsigc++
Group:		Documentation

%description doc
Reference documentation for libsigc++.

%description doc -l pl.UTF-8
Szczegółowa dokumentacja dla libsigc++.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I build
%{__autoconf}
%{__automake}
%configure \
	%{?with_static_libs:--enable-static}
%{__make} -j1 all check

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_libdir}/libsigc-2.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsigc-2.0.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libsigc-2.0.so
%{_libdir}/libsigc-2.0.la
%{_includedir}/sigc++-2.0
%{_libdir}/sigc++-2.0
%{_pkgconfigdir}/sigc++-2.0.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libsigc-2.0.a
%endif

%files doc
%defattr(644,root,root,755)
%{_datadir}/devhelp/books/libsigc++-2.0
%{_docdir}/libsigc++-2.0

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libsigc++.spec,v $
Revision 1.86  2011/07/28 17:47:26  qboosh
- updated to 2.2.10
- xz source

Revision 1.85  2011/03/10 19:11:59  qboosh
- updated to 2.2.9

Revision 1.84  2010/09/18 16:48:49  qboosh
- unified packages order (preamble=files)

Revision 1.83  2010/06/19 10:37:03  megabajt
- updated to 2.2.8

Revision 1.82  2010/05/14 14:52:47  megabajt
- updated to 2.2.7

Revision 1.81  2010/04/16 21:57:09  megabajt
- updated to 2.2.6

Revision 1.80  2010/04/15 18:54:40  megabajt
- missing dir
- release 2

Revision 1.79  2010/04/06 14:56:17  sparky
- BR: pkgconfig

Revision 1.78  2010/04/01 12:31:43  megabajt
- updated to 2.2.5

Revision 1.77  2009/04/11 17:25:16  qboosh
- updated to 2.2.3

Revision 1.76  2008/03/15 03:29:55  qboosh
- updated to 2.2.2

Revision 1.75  2007-12-25 18:30:55  glen
- rel 2

Revision 1.74  2007-11-08 19:59:27  tommat
- broken parallel build

Revision 1.73  2007-09-18 18:06:52  qboosh
- updated to 2.0.18

Revision 1.72  2007/02/13 06:46:52  glen
- tabs in preamble

Revision 1.71  2007/02/12 00:49:04  baggins
- converted to UTF-8

Revision 1.70  2006/11/21 18:47:12  megabajt
- release 2 (rebuild with P: *.la)

Revision 1.69  2005/12/20 22:53:29  pluto
- run testsuite.

Revision 1.68  2005/12/20 20:08:26  qboosh
- updated to 2.0.17

Revision 1.67  2005/08/02 10:55:31  freetz
- 2.0.16

Revision 1.66  2005/07/07 13:11:14  freetz
- 2.0.15

Revision 1.65  2005/06/27 22:45:39  zbyniu
- R: libstdc++-devel in -devel, rel 2, STBR

Revision 1.64  2005/06/15 21:14:59  witekfl
- added header "Conditional build:"

Revision 1.63  2005/06/15 17:30:50  witekfl
- s/bcond_without static/bcond_without static_libs/

Revision 1.62  2005/06/15 15:42:35  witekfl
- added bcond_without static

Revision 1.61  2005/06/11 18:56:47  freetz
 - 2.0.14

Revision 1.60  2005/05/15 19:26:59  adamg
- release 2 for Th

Revision 1.59  2005/05/11 20:12:00  freetz
- 2.0.12

Revision 1.58  2005/04/02 14:39:18  freetz
- 2.0.11

Revision 1.57  2005/02/23 13:18:36  paladine
- updated to 2.0.10

Revision 1.56  2005/02/02 17:53:58  grzegol
- updated to 2.0.9

Revision 1.55  2005/02/02 16:45:18  grzegol
- updated to 2.0.8

Revision 1.54  2004/10/12 21:59:19  freetz
- 2.0.6, template patch included

Revision 1.53  2004/09/10 09:59:18  wrobell
- fixed one of the types definition
- rel. 2

Revision 1.52  2004/09/02 22:37:13  qboosh
- updated to 2.0.5, removed obsolete m4 patch

Revision 1.51  2004/05/31 16:41:38  grzegol
- updated to 2.0.3

Revision 1.50  2004/04/29 11:05:29  grzegol
- updated to 2.0.1

Revision 1.49  2004/04/13 21:29:22  qboosh
- separated -doc from -devel (10MB vs 1.3MB; and ENOSPC again)

Revision 1.48  2004/04/12 22:14:57  grzegol
- updated to 2.0.0

Revision 1.47  2004/04/09 14:00:09  grzegol
- updated to 1.9.16

Revision 1.46  2004/03/28 22:36:20  qboosh
- no macro in Conflicts

Revision 1.45  2004/02/28 13:18:56  grzegol
- updated to 1.9.15

Revision 1.44  2004/02/28 12:19:33  grzegol
- updated to 1.9.14 from DEVEL

Revision 1.43  2004/01/26 10:18:21  jajcus
- Release: 3
- include path returned by pkg-config fixed (-pc-libdir.patch)

Revision 1.42  2003/09/06 01:05:34  krzak
- rel 2

Revision 1.41  2003/06/23 20:37:23  jareq
- fixed epoch:version issue

Revision 1.40  2003/05/25 11:00:53  malekith
- massive attack, adding Source-md5

Revision 1.39  2003/05/25 05:50:02  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.38  2003/05/15 21:44:08  aflinta
- version 1.2.5

Revision 1.37  2003/03/24 11:49:07  aflinta
- updsted to version 1.2.4

Revision 1.36  2003/02/25 12:55:33  qboosh
- working Source URL

Revision 1.35  2003/01/07 11:31:34  aflinta
- updated to version 1.2.3

Revision 1.34  2002/11/25 14:17:01  ankry
- massive attack: no need for 755 for *.la

Revision 1.33  2002/10/25 17:03:16  wrobell
- ver. 1.2.1

Revision 1.32  2002/10/09 13:14:38  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.31  2002/07/18 01:13:28  kloczek
- release 2: use new %doc.

Revision 1.30  2002/06/23 20:32:31  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.29  2002/05/21 23:13:52  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.28  2002/04/21 01:11:49  misiek
- updated to 1.1.9

Revision 1.27  2002/03/24 23:28:20  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.26  2002/03/21 20:44:05  misiek
- updated to 1.1.8

Revision 1.25  2002/02/22 23:29:12  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.24  2002/02/18 22:49:32  misiek
- merged 1.1.7

Revision 1.23.2.1  2002/02/17 10:49:17  misiek
- updated to 1.1.6

Revision 1.23  2002/01/18 02:13:42  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.22  2001/12/05 08:38:43  qboosh
- adapterized, added pl translations; release 2

Revision 1.21  2001/10/24 13:30:06  kloczek
- updated to 1.0.4,
- aded remove_stupid_install-data-hook_targets patch for allow build package
  from non-root user.

Revision 1.20  2001/09/24 12:40:20  kloczek
- bump release to 6 and added missing BuildRequires rules.

Revision 1.19  2001/09/23 21:04:44  blues
- release 4
- ac2.5 ready, make libtool happy

Revision 1.18  2001/06/16 21:09:40  kloczek
- bump release to 3 (Epoch: 1).

Revision 1.17  2001/04/30 16:05:21  kloczek
- added using %%{rpmcflags} macro.

Revision 1.16  2001/02/19 01:56:04  kloczek
- updated to 1.0.3.

Revision 1.15  2001/01/25 20:03:24  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.14  2000/12/23 00:48:45  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.13  2000/11/20 01:53:36  kloczek
- removed outdated ac_thread.sh patch.

Revision 1.12  2000/11/20 01:24:49  kloczek
- updated to 1.0.2.

Revision 1.11  2000/11/19 22:21:20  kloczek
- release 3: rebuild on glibc 2.2 (without this gtkmm not compiles
  correctly).

Revision 1.10  2000/10/19 02:19:55  kloczek
- release 2: use new rpm automation.

Revision 1.9  2000/07/04 03:31:09  kloczek
- updated to 1.0.1,
- added Obsoletes: libsigc++-examples.

Revision 1.8  2000/06/09 07:54:44  kloczek
- more %%{__make} macros.

Revision 1.7  2000/06/09 07:23:24  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/06/07 03:14:18  kloczek
- spec adapterized.

Revision 1.5  2000/04/20 15:16:07  mkochano
- Removed '-fno-rtti'.

Revision 1.4  2000/04/15 22:41:57  bonkey
- added libsigc++-ac_thread.sh.patch

Revision 1.3  2000/04/15 19:30:28  kloczek
- updated to 1.0.0,
- new URL and Source url.

Revision 1.2  2000/04/04 02:39:23  kloczek
- completly rewrited in PLD style.

Based on spec written by Dmitry V. Levin <ldv@fandra.org>.
